sang1/DAweb/Controllers/Admin/AdminSPController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DAweb.Models;
using PagedList;
using PagedList.Mvc;
using System.IO;
namespace DAweb.Controllers.Admin
{
   // [Authorize(Roles = "Admin")]
    public class AdminSPController : Controller
    {
        dbWebBanHangEntities db = new dbWebBanHangEntities();
        // GET: AdminSP
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult DanhSachSanPham()
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            return View();
        }
        public  ActionResult DSSP()
            {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            return View(db.tblSanPhams.ToList());
            }
        // danh sách sản phẩm mới 
        public ActionResult DSSPMoi()
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            return View();
        }
        public ActionResult SanPhamAdminMoi(int? page)
        {   
            int pagenumber = (page ?? 1);
            int pageSize = 8;
            List<tblSanPham> ds = new List<tblSanPham>();
            var sp = db.tblSanPhams.ToList();
            foreach (var item in sp)
            {
                if (item.SPMoi == true)
                    ds.Add(item);
            }
            return View(ds.ToPagedList(pagenumber, pageSize));
        }

        public ActionResult SanPhamAdmin(int? page)
        {
            int pagenumber = (page ?? 1);
            int pageSize = 8;
            return View(db.tblSanPhams.ToList().OrderBy(n => n.MaSP).ToPagedList(pagenumber, pageSize));
        }
        //
        [HttpGet]
        public ActionResult ThemSanPham()
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }

            ViewBag.MaLoaiSP = new SelectList(db.tblLoaiSanPhams.ToList().OrderBy(n => n.TenLoaiSP), "MaLoaiSP", "TenLoaiSP");
            return View();
        }
        [HttpPost]
        [ValidateInput(false)]
        public ActionResult ThemSanPham(tblSanPham sp, HttpPostedFileBase fileUpload)
        {
            // đưa dữ liệu vào dropdownlist
            ViewBag.MaLoaiSP = new SelectList(db.tblLoaiSanPhams.ToList().OrderBy(n => n.TenLoaiSP), "MaLoaiSP", "TenLoaiSP");
            if (fileUpload == null)
            {
                ViewBag.ThongBao = "Chọn Hình Ảnh";
            }
             else  if(fileUpload!=null)
            {
                // thêm vào cơ sở dữ liệu 
                if (ModelState.IsValid)
                {     // lưu tên của file 
                    var fileName = Path.GetFileName(fileUpload.FileName);
                    // lưu đường dẫn của file 
                    var path = Path.Combine(Server.MapPath("~/App_Themes/HinhAnhSanPham"), fileName);
                    // kiểm tra hình ảnh đã tồn tại hay chưa 
                    if (System.IO.File.Exists(path))
                    {
                        ViewBag.ThongBao = " Hình ảnh Đã Tồn Tại";
                      
                    }
                    else
                    {
                        fileUpload.SaveAs(path);
                        sp.AnhMinhHoa = fileUpload.FileName;
                        db.tblSanPhams.Add(sp);
                        db.SaveChanges();
                        return RedirectToAction("DanhSachSanPham");
                    }
                }
            }
           
            return View();
        }
      //  chỉnh sửa sẩn phẩm
       [HttpGet]
        public ActionResult ChinhSua(int MaSP)
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            // lấy ra đối tượng sách theo mã 
            tblSanPham sp = db.tblSanPhams.SingleOrDefault(n => n.MaSP == MaSP);
            if (sp == null)
            {
                Response.StatusCode = 404;
            }
            //Đưa dữ liệu vào dropdownlist
            ViewBag.MaLoaiSP = new SelectList(db.tblLoaiSanPhams.ToList().OrderBy(n => n.TenLoaiSP), "MaLoaiSP", "TenLoaiSP", sp.MaLoaiSP);
            return View(sp);
        }
        [HttpPost]
        [ValidateInput(false)]
        public ActionResult ChinhSua(int MaSP, HttpPostedFileBase fileUpload)
        {
            var sp = db.tblSanPhams.SingleOrDefault(n => n.MaSP == MaSP);
            if (sp != null)
            {
            if (fileUpload != null)
            {
                    string hinh = sp.AnhMinhHoa;
                    string fullPath = Request.MapPath("~/App_Themes/HinhAnhSanPham/" + hinh);
                    if (System.IO.File.Exists(fullPath))
                    {
                        System.IO.File.Delete(fullPath);
                    }
                    // lưu tên của file 
                    var fileName = Path.GetFileName(fileUpload.FileName);
                // lưu đường dẫn của file 
                var path = Path.Combine(Server.MapPath("~/App_Themes/HinhAnhSanPham"), fileName);


                // kiểm tra hình ảnh đã tồn tại hay chưa 

                if (System.IO.File.Exists(path))
                {
                    ViewBag.ThongBao = " Hình ảnh Đã Tồn Tại";
                    //return View();
                }
                else
                {
                    fileUpload.SaveAs(path);
                    sp.AnhMinhHoa = fileUpload.FileName;
                }
            }
        }
            if (ModelState.IsValid)
            {
                //Thực hiện cập nhập trong model
                UpdateModel(sp);
                db.SaveChanges();
                ViewBag.ThongBao = " Cập Nhập Dữ Liệu Thanh Thành Công ";
                //Thêm vào cơ sở dữ liệu
                //Đưa dữ liệu vào dropdownlist
                ViewBag.MaLoaiSP = new SelectList(db.tblLoaiSanPhams.ToList().OrderBy(n => n.TenLoaiSP), "MaLoaiSP", "TenLoaiSP", sp.MaLoaiSP);
            }
            return RedirectToAction("DanhSachSanPham");

        }
        // hiên thí sản phẩm 
        //Hiển thị sản phẩm
        public ActionResult HienThi(int MaSP)
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            //Lấy ra đối tượng sách theo mã 
            tblSanPham sp = db.tblSanPhams.SingleOrDefault(n => n.MaSP == MaSP);
            if (sp == null)
            {
                Response.StatusCode = 404;
                return null;
            }

            return View(sp);

        }
        //Xóa sản phẩm
        [HttpGet]
        public ActionResult Xoa(int MaSP)
        {
            if (Request.Cookies["TaiKhoanAdmin"] == null || Request.Cookies["TaiKhoanAdmin"].ToString() == "")
            {
                return RedirectToAction("DangNhapAdmin", "Logon");
            }
            //Lấy ra đối tượng sách theo mã 
            tblSanPham sp = db.tblSanPhams.SingleOrDefault(n => n.MaSP == MaSP);
            if (sp == null)
            {
                Response.StatusCode = 404;
                return null;
            }
            return View(sp);
        }
        [HttpPost, ActionName("Xoa")]

        public ActionResult XacNhanXoa(int MaSP)
        {
            tblSanPham sp = db.tblSanPhams.SingleOrDefault(n => n.MaSP == MaSP);
            if (sp == null)
            {
                Response.StatusCode = 404;
                return null;
            }
            string hinh = sp.AnhMinhHoa;
            string fullPath = Request.MapPath("~/App_Themes/HinhAnhSanPham/" + hinh);
            if (System.IO.File.Exists(fullPath))
            {
                System.IO.File.Delete(fullPath);
            }
            db.tblSanPhams.Remove(sp);
            db.SaveChanges();
            return RedirectToAction("DanhSachSanPham");
        }
    }
}

sang1/DAweb/Views/AdminSP/ChinhSua.cshtml
@model DAweb.Models.tblSanPham

@{
    ViewBag.Title = "ChinhSua";
    Layout = "~/Views/Layout/AdminLayout.cshtml";
}
<script src="~/tinymce/js/tinymce/tinymce.min.js"></script>
<script>tinymce.init({ selector: 'textarea' });</script>
<h2>Chỉnh Sửa </h2>
@using (Html.BeginForm("ChinhSua", "AdminSP", FormMethod.Post, new { @enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
      
     
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.MaSP, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <span class="text-danger" style="font-size:15pt">@Model.MaSP</span>
                @Html.Hidden("MaSP", @Model.MaSP)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.TenSP, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.TenSP, new { htmlAttributes = new { @class = "form-control"}})
                @Html.ValidationMessageFor(model => model.TenSP, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.GiaTien, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.GiaTien, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GiaTien, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.GiaNhap, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.GiaNhap, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GiaNhap, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.SoLuongTonKho, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SoLuongTonKho, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SoLuongTonKho, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.MaLoaiSP, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
           @Html.DropDownList("MaLoaiSP")
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.AnhMinhHoa, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @*Name của thẻ input file phải trùng tên với tham số bên controller*@
                <input type="file" name="fileUpload">
                @*Thông báo trùng*@
                @ViewBag.ThongBao
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.TrangThai, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.TrangThai)
                    @Html.ValidationMessageFor(model => model.TrangThai, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.SIZE, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SIZE, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SIZE, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.SPMoi, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.SPMoi)
                    @Html.ValidationMessageFor(model => model.SPMoi, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.ThongTin, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <textarea name="ThongTin">@Model.ThongTin</textarea>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Lưu Lại" class="btn btn-danger" />
            </div>
        </div>
    </div>
}

<div>
    <a href="@Url.Action("DanhSachSanPham")" class="btn btn-primary btn-lg btn-block">Trở Về </a>
</div>

sang1/DAweb/Views/AdminSP/DSSPMoi.cshtml
@model IEnumerable<DAweb.Models.tblSanPham>

@{
    ViewBag.Title = "DSSPMoi";
    Layout = "~/Views/Layout/AdminLayout.cshtml";
}
<section class="content">
    <!-- Info boxes -->
    <!-- /.row -->
    <!-- Main row -->
    <div class="row">
        <!-- Left col -->
        <div class="col-md-12">

            <div class="box box-info">
                <div class="box-header with-border">
                    <p>
                        @Html.ActionLink("Thêm Sản Phẩm Mới ", "ThemSanPham")
                    </p>
                    <h3 class="box-title">Danh sách sản phẩm Mới </h3>
                    <br />
                    @Html.ActionLink("Danh Sách Sản Phẩm ", "DanhSachSanPham")


                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse">
                            <i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table no-margin">
                            @Html.Action("SanPhamAdminMoi", "AdminSP")
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-left">Place New Order</a>
                    <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-right">View All Orders</a>
                </div>
                <!-- /.box-footer -->
            </div>
            <!-- /.box -->
        </div>
        <!-- /.col -->
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

sang1/DAweb/Views/AdminSP/DanhSachSanPham.cshtml
@model IEnumerable<DAweb.Models.tblSanPham>
@using DAweb.Models;
@{
    ViewBag.Title = "DanhSachSanPham";
    Layout = "~/Views/Layout/AdminLayout.cshtml";
}
<section class="content">
    <!-- Info boxes -->
    <!-- /.row -->
    <!-- Main row -->
    <div class="row">
        <!-- Left col -->
        <div class="col-md-12">

            <div class="box box-info">
                <div class="box-header with-border">
                    <p>
                        @Html.ActionLink("Thêm Sản Phẩm Mới ", "ThemSanPham")
                    </p>
                    <h3 class="box-title">Danh sách sản phẩm</h3>
                    <br />
                    @Html.ActionLink("Danh Sách Sản Phẩm Mới ", "DSSPMoi")

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse">
                            <i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table no-margin">
                            @Html.Action("SanPhamAdmin", "AdminSP")
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-left">Place New Order</a>
                    <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-right">View All Orders</a>
                </div>
                <!-- /.box-footer -->
            </div>
            <!-- /.box -->
        </div>
        <!-- /.col -->
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

sang1/DAweb/Views/AdminSP/SanPhamAdmin.cshtml
@using PagedList.Mvc;
@using PagedList;
@model PagedList<DAweb.Models.tblSanPham>
@using DAweb.Models;

<thead>
    <tr>
        <th>MASP</th>
        <th>TênSảnPhẩm</th>
        <th>Thông Tin </th>
        <th>Giá Bán  </th>
        <th>Giá Nhập </th>
        <th>Số Lượng </th>
        <th>MALOAI</th>
        <th>Ảnh Minh Họa </th>
        <th>SiZe</th>
         <th> Trạng Thái </th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {
   
        foreach (var item in Model)
        {
            <tr>
                <td>@item.MaSP</td>
                <td>@item.TenSP</td>
             <td> @Html.Raw(item.ThongTin)</td>    
               
                <td>@String.Format("{0:0,0}", item.GiaTien) </td>
                <td>@String.Format("{0:0,0}", item.GiaNhap) </td>
                <th>@item.SoLuongTonKho</th>
                <td>@item.MaLoaiSP</td>
              
             
                <td width="100px">
                    @if (item.AnhMinhHoa != null)
                    {
                        <img src="@Url.Content("~/App_Themes/HinhAnhSanPham/"+item.AnhMinhHoa)"  style="width:100px" />
                    }
                </td>
                <td>@item.SIZE</td>
                <td>
                    @Html.DisplayFor(modelItem => item.TrangThai)
                </td>
                <td><a class="btn btn-default" href="@Url.Action("ChinhSua", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger"  href="@Url.Action("Xoa", "AdminSP", new { @MaSP = item.MaSP })"><i class="glyphicon glyphicon-trash"></i> Xóa</a></td>
                <td><a class="btn btn-default" href="@Url.Action("HienThi", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Xem</a></td>
            </tr>
        }
    }
    @* Tạo link liên kết các trang*@
    Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount
    <div class="MenuTrang">
        @Html.PagedListPager(Model, page => Url.Action("DanhSachSanPham", new { page = page }))
    </div>
    <style>
        .MenuTrang li {
            display: inline;
            background-color: #edeae9;
        }
    </style>
   
</tbody>

sang1/DAweb/Views/AdminSP/SanPhamAdminMoi.cshtml
@using PagedList.Mvc;
@using PagedList;
@model PagedList<DAweb.Models.tblSanPham>
@using DAweb.Models;

<thead>
    <tr>
        <th>MASP</th>
        <th>TênSảnPhẩm</th>
        <th>Thông Tin </th>
        <th>Giá Bán  </th>
        <th>Giá Nhập </th>
        <th>Số Lượng </th>
        <th>MALOAI</th>
        <th>Ảnh Minh Họa </th>
        <th>SiZe</th>
        <th> Trạng Thái </th>
        <th></th>
    </tr>
</thead>
<tbody>

    @if (Model != null)
    {

        foreach (var item in Model)
        {
            <tr>
                <td>@item.MaSP</td>
                <td>@item.TenSP</td>
                <td> @Html.Raw(item.ThongTin)</td>

                <td>@String.Format("{0:0,0}", item.GiaTien) </td>
                <td>@String.Format("{0:0,0}", item.GiaNhap) </td>
                <th>@item.SoLuongTonKho</th>
                <td>@item.MaLoaiSP</td>


                <td width="100px">
                    @if (item.AnhMinhHoa != null)
                    {
                        <img src="@Url.Content("~/App_Themes/HinhAnhSanPham/"+item.AnhMinhHoa)" style="width:100px" />
                    }
                </td>
                <td>@item.SIZE</td>
                <td>
                    @Html.DisplayFor(modelItem => item.TrangThai)
                </td>
                <td><a class="btn btn-default" href="@Url.Action("ChinhSua", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Sửa</a></td>
                <td><a class="btn btn-danger" href="@Url.Action("Xoa", "AdminSP", new { @MaSP = item.MaSP })"><i class="glyphicon glyphicon-trash"></i> Xóa</a></td>
                <td><a class="btn btn-default" href="@Url.Action("HienThi", "AdminSP", new { @MaSP = item.MaSP })"><i class="fa fa-pencil-square-o"></i>Xem</a></td>
            </tr>
        }
    }
    @* Tạo link liên kết các trang*@
    Trang @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber)/ @Model.PageCount
    <div class="MenuTrang">
        @Html.PagedListPager(Model, page => Url.Action("DSSPMoi", new { page = page }))
    </div>
    <style>
        .MenuTrang li {
            display: inline;
            background-color: #edeae9;
        }
    </style>

</tbody>

sang1/DAweb/Views/AdminSP/ThemSanPham.cshtml
@model DAweb.Models.tblSanPham

@{
    ViewBag.Title = "ThemSanPham";
    Layout = "~/Views/Layout/AdminLayout.cshtml";
}
<script src="~/tinymce/js/tinymce/tinymce.min.js"></script>
<script>tinymce.init({ selector: 'textarea' });</script>
@using (Html.BeginForm("ThemSanPham", "AdminSP", FormMethod.Post, new { @enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group">
            @Html.LabelFor(model => model.TenSP, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.TenSP, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.TenSP, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.GiaTien, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.GiaTien, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GiaTien, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.GiaNhap, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.GiaNhap, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.GiaNhap, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.AnhMinhHoa, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @*Name của thẻ input file phải trùng tên với tham số bên controller*@
                <input type="file" name="fileUpload">
                @*Thông báo trùng*@
                @ViewBag.ThongBao
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.SoLuongTonKho, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SoLuongTonKho, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SoLuongTonKho, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.MaLoaiSP, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("MaLoaiSP")

            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.TrangThai, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.TrangThai)
                    @Html.ValidationMessageFor(model => model.TrangThai, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>


        <div class="form-group">
            @Html.LabelFor(model => model.SIZE, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.SIZE, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.SIZE, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.SPMoi, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.SPMoi)
                    @Html.ValidationMessageFor(model => model.SPMoi, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ThongTin, new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <textarea name="ThongTin">Easy! You should check out MoxieManager!</textarea>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-danger" />
                <a href="@Url.Action("ThemSanPham")" class="btn btn-default">Hủy</a>
            </div>
        </div>
    </div>
}

<div>
    <a href="@Url.Action("DanhSachSanPham")" class="btn btn-primary btn-lg btn-block">Trở Về </a>
</div>